%define anolis_release 1

# Unset -s on python shebang - ensure that extensions installed with pip
# to user locations are seen and properly loaded
%global py3_shebang_flags %(echo %py3_shebang_flags | sed s/s//)
%global ver 7.0.0
%global prerel b2

Name:           python-notebook
%global _docdir_fmt %{name}

Version:        %{ver}~%{prerel}
Release:        %{anolis_release}%{?dist}
Summary:        A web-based notebook environment for interactive computing
License:        BSD
URL:            https://jupyter.org
Source:         https://files.pythonhosted.org/packages/d7/63/07ed24960e6a9b1a857fd8a8f3e538c5960bf32eee07c5cbd55b146686ac/notebook-%{ver}%{prerel}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description \
The Jupyter Notebook is a web application that allows you to create and \
share documents that contain live code, equations, visualizations, and \
explanatory text. The Notebook has support for multiple programming \
languages, sharing, and interactive widgets.

%description %_description

%package -n     python3-notebook
Summary:        %{summary}
Requires:       python-jupyter-filesystem
%py_provides    python3-jupyter-notebook
%py_provides    python3-ipython-notebook
%py_provides    notebook
%py_provides    jupyter-notebook

%description -n python3-notebook %_description


%prep
%autosetup -n notebook-%{ver}%{prerel}

for pkg in nbval "selenium==.*" coverage pytest-cov pytest-tornasync; do
  sed -Ei "/\"$pkg\",?/d" pyproject.toml
done

# Remove all backup files
find ./ -name "*.json.orig" -delete

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files notebook

install -m 0755 -p -d %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_server_config.d/notebook.json

echo "%{python3_sitelib}/notebook-%{ver}%{prerel}.dist-info/licenses/LICENSE" >> %{pyproject_files}

%files -n python3-notebook -f %{pyproject_files}
%license LICENSE
%{_bindir}/jupyter-notebook
%config(noreplace) %{_sysconfdir}/jupyter/jupyter_server_config.d/notebook.json
%{_datadir}/jupyter/lab/schemas/@jupyter-notebook/
%{_datadir}/jupyter/labextensions/@jupyter-notebook/
%{_datadir}/applications/jupyter-notebook.desktop
%{_datadir}/icons/hicolor/scalable/apps/notebook.svg

%changelog
* Sat May 20 2023 Funda Wang <fundawang@yeah.net> - 7.0.0~b2-1
- Import package for anolis 23
